Bug 964765 - [abrt] pulseaudio-equalizer-2.7-11.fc19: pulseaudio-equalizer.py:489:__init__:UnboundLocalError: local variable 'x' referenced before assignment
[abrt] pulseaudio-equalizer-2.7-11.fc19: pulseaudio-equalizer.py:489:__init__...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:709b3a664d08d8862f8facdb482...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 13:58 EDT by Jim Laski
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.37 KB, text/plain)
2013-05-19 13:58 EDT, Jim Laski
no flags Details
File: core_backtrace (228 bytes, text/plain)
2013-05-19 13:58 EDT, Jim Laski
no flags Details
File: environ (1.34 KB, text/plain)
2013-05-19 13:58 EDT, Jim Laski
no flags Details

  None (edit)
Description Jim Laski 2013-05-19 13:58:38 EDT
Version-Release number of selected component:
pulseaudio-equalizer-2.7-11.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py
executable:     /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
pulseaudio-equalizer.py:489:__init__:UnboundLocalError: local variable 'x' referenced before assignment

Traceback (most recent call last):
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 535, in <module>
    Equalizer()
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 489, in __init__
    presetsbox.connect("changed", self.on_presetsbox, x)
UnboundLocalError: local variable 'x' referenced before assignment

Local variables in innermost frame:
menu_item: <gtk.MenuItem object at 0xca40f0 (GtkMenuItem at 0x1087960)>
hbox1: <gtk.HBox object at 0xca41e0 (GtkHBox at 0xaf9a60)>
menu_bar: <gtk.MenuBar object at 0xca4190 (GtkMenuBar at 0xafb2c0)>
i: 18
menu: <gtk.Menu object at 0xca4050 (GtkMenu at 0xd77dc0)>
self: <__main__.Equalizer instance at 0xca27e8>
vbox1: <gtk.VBox object at 0xca4140 (GtkVBox at 0xaf99d0)>
label: <gtk.Label object at 0xca42d0 (GtkLabel at 0xafb530)>
vbox2: <gtk.VBox object at 0xca43c0 (GtkVBox at 0xaf9af0)>
icon_theme: <gtk.IconTheme object at 0xc9cf50 (GtkIconTheme at 0xd3b080)>
separator: <gtk.VSeparator object at 0xca4370 (GtkVSeparator at 0xdcf100)>
root_menu: <gtk.MenuItem object at 0xca40a0 (GtkMenuItem at 0x1087a10)>
table: <gtk.Table object at 0xca4230 (GtkTable at 0xafa1f0)>
presetslabel: <gtk.Label object at 0xca4410 (GtkLabel at 0xafb6d0)>
icon: <gtk.gdk.Pixbuf object at 0xc9cfa0 (GdkPixbuf at 0x1067050)>
Comment 1 Jim Laski 2013-05-19 13:58:41 EDT
Created attachment 750162 [details]
File: backtrace
Comment 2 Jim Laski 2013-05-19 13:58:42 EDT
Created attachment 750163 [details]
File: core_backtrace
Comment 3 Jim Laski 2013-05-19 13:58:44 EDT
Created attachment 750164 [details]
File: environ
Comment 4 Fedora Admin XMLRPC Client 2014-07-08 07:23:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-08-14 07:41:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 13:09:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:16:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.